/*************************************************************************
 ***                        command.h                    (JJB TEMPLAR) ***
 *** Date begun: 8/8/89.                                               ***
 *** Last modified: 27/8/89.                                           ***
 *************************************************************************/
/*** #defines for commands. Shared by both keyboard and gadgets.       ***
 *************************************************************************/

struct cmdmap {
    UBYTE   code;
    UBYTE   command;
};

#define C_UNKNOWN       0
#define C_INNOCUOUS     1
#define C_QUIT          2
#define C_FORW_LINE     3
#define C_BACK_LINE     4
#define C_FORW_PAGE     5
#define C_BACK_PAGE     6
#define C_LEFT          7
#define C_RIGHT         8
#define C_FORW_FILE     9
#define C_BACK_FILE     10
#define C_HELP          11
#define C_ABOUT         12
#define C_TOP           13
#define C_BOTTOM        14
#define C_VERSION       15
#define C_REPAINT       16
#define C_INFO          17
#define C_SCROLL        18
#define C_RESIZE        19
#define C_BOOM          20
#define C_SEARCH_F      21
#define C_SEARCH_B      22
#define C_SLEFT         23
#define C_SRIGHT        24
#define C_SET_MARK      25
#define C_GO_MARK       26
#define C_PERCENT       27
#define C_ICONIFY       28
#define C_SEARCH_FNC    29          /* Search foward, no new string */
#define C_SEARCH_BNC    30
#define C_PRINT         31
#define C_HSCROLL       32
#define C_MODE_ON       33
#define C_MODE_OFF      34
#define C_NEWCLI        35
#define C_EDITOR        36
#define C_ADDFILE       37
